Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class DefaultDocumentIterator

    java.lang.Object
      com.bea.p13n.content.document.ref.DefaultDocumentIterator

All Implemented Interfaces:
  DocumentIterator, Iterator

public class DefaultDocumentIterator
extends Object
implements DocumentIterator

A wrapper around a iterator or collection which supports a close.

Field Summary
`protected Collection` | `collection` Deprecated. The wrapped collection.
`protected Iterator` | `iterator` Deprecated. The wrapped iterator.

Constructor Summary
`DefaultDocumentIterator(Collection collection)` Deprecated. Constructor from an collection.
`DefaultDocumentIterator(Collection collection, Iterator iterator)` Deprecated. Constructor from a collection and iterator.
`DefaultDocumentIterator(Iterator iterator)` Deprecated. Constructor from an iterator.

Method Summary
`void` | `close()` Deprecated. Close this iterator.
`boolean` | `hasNext()` Deprecated. Tell if there is another item in the iteration.
`Object` | `next()` Deprecated. Get the next item in the iteration.
`void` | `remove()` Deprecated. Remove the last returned object from the iterator's collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### collection

    protected Collection collection

  Deprecated.
  The wrapped collection.

  This will be cleared upon a close().

### iterator

    protected Iterator iterator

  Deprecated.
  The wrapped iterator.

Constructor Detail

### DefaultDocumentIterator

    public DefaultDocumentIterator(Collection collection,
                                   Iterator iterator)

  Deprecated.
  Constructor from a collection and iterator.

Parameters:
  `collection` - the underlying collection.
  `iterator` - the collection's iterator.

### DefaultDocumentIterator

    public DefaultDocumentIterator(Collection collection)

  Deprecated.
  Constructor from an collection.

Parameters:
  `collection` - the underlying collection.

### DefaultDocumentIterator

    public DefaultDocumentIterator(Iterator iterator)

  Deprecated.
  Constructor from an iterator.

Parameters:
  `iterator` - the iterator to use.

Method Detail

### hasNext

    public boolean hasNext()

  Deprecated.
  Tell if there is another item in the iteration.

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Deprecated.
  Get the next item in the iteration.

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Deprecated.
  Remove the last returned object from the iterator's collection.

  Specified by:
    `remove` in interface `Iterator`

### close

    public void close()

  Deprecated.
  Close this iterator.

  Specified by:
    `close` in interface `DocumentIterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved